<?php
namespace Magento\Backup\Block\Adminhtml\Grid\Column\Rollback;

/**
 * Interceptor class for @see \Magento\Backup\Block\Adminhtml\Grid\Column\Rollback
 */
class Interceptor extends \Magento\Backup\Block\Adminhtml\Grid\Column\Rollback implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Backup\Helper\Data $backupHelper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $backupHelper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
